Subject: Re: Cranberries

From: [email-masked]
Date: 18 May 1995 05:48:45 -0000

The best lead we have is K Ag Laboratories in Oshkosh, Wisconsin (although
they are non-academic, non-governmental). They have done extensive work on
several specialty crops (for example, ginseng) in establishing specific soil
chemistry and growing parameters. I know that they also have worked
extensively with cranberry growers.
Contact:   800-356-6045
               414-426-2220 or 2222
       fax    414-426-2664

They might just have a paper or short writeup of their findings available.
Good luck!